Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4025/?format=api
{ "ob_id": 4025, "uuid": "ddf5fb73ff82b3f0c34eedb8e0c32a1a", "title": "Meteosat Geostationary Satellites First Generation: Thermal infra-red wavelength images over Europe and North Atlantic (Nov 1999-Aug 2003)", "abstract": "Meteosat-7 and its predecessors were the first generation of earth observation dedicated geostationary satellites located at 36000 km above the intersection of the Equator and the Greenwich Meridian. Although superseded by MSG-1 (renamed Meteosat-8) in 2005, Meteosat-7 remained as back-up at 0o longitude until 14th June 2006. Meteosat-7 will be moved to 63oE longitude to continue coverage of the Indian Ocean and take over from Meteosat-5.\r\n\r\nMeteosat-7 was launched by the European Space Agency and operated by Eumetsat.\r\n\r\nThis dataset contains thermal infra-red images from Meteosat Geostationary Satellites First Generation over Europe and North Atlantic. \r\n", "keywords": "MSG, thermal, Satellites, Europe, North Atlantic", "publicationState": "published", "dataPublishedTime": "2007-02-20T16:28:45", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4026/?format=api", "dataPath": "/badc/meteosat/data/d2", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 9200695661, "numberOfFiles": 59767, "fileFormat": "Images are JPG formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1148/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/929/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22848/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25940/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25941/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25942/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25943/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25944/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25945/?format=api" ], "dataLineage": "The Data held at the BADC are images of that portion of the Meteosat view field encompassing Northern Atlantic, Europe and North Africa, in all available channels (visible, thermal and water vapour infra-red bands). From 11th of November 1999 until 31st October 2002 these images were daily mirrored from the Meteosat archive at the University of Nottingham. The images include zooms of Northern Atlantic and Europe in the visible band and are provided in JPEG format.\r\n\r\nImages were received in this way until a technical fault at Nottingham resulted in the service being suspended.\r\n\r\nFull-disc images of the Meteosat view field were subsequently received from the Eumetsat archive in Germany. Jpeg images covering Northern Atlantic, Europe and North Africa have been obtained from EUMETSAT to fill the gap in the archive between October 2002 and August 2003.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2761/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19241/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4024/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19588/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19593/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19587/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19590/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19591/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19592/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19594/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19589/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/4029/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }